Subject: Re: [httpwg/http-extensions] Update Expect-CT syntax to match convention (#327)

From: HTTP issue updates <[email-masked]>
Date: Tue, 18 Apr 2017 12:15:43 -0700

royfielding commented on this pull request.

> @@ -274,6 +274,17 @@ delta-seconds = 1*DIGIT
 
 `delta-seconds` is used as defined in Section 1.2.1 of RFC 7234 {{!RFC7234}}.
 
+### Examples
+
+The following examples demonstrate valid Expect-CT response header fields:
+
+~~~ inline
+Expect-CT: max-age=86400,enforce
+Expect-CT: max-age=86400,enforce,report-uri="https://foo.test/report"

For variation, I suggest adding a single space after the commas for this middle example just to remind readers that spaces here are ignored.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/pull/327#pullrequestreview-33324861

---

From: HTTP issue updates <[email-masked]>
Date: Tue, 18 Apr 2017 16:08:33 -0700

@estark37 pushed 1 commit.

9b6bc1b  Add spaces to one of the examples

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/httpwg/http-extensions/pull/327/files/09d261cf025f65b641e3828b03513fe4ffb8ce32..9b6bc1b749c2f022ef6e8347b1c7c3bc5883487a

---

From: HTTP issue updates <[email-masked]>
Date: Tue, 18 Apr 2017 16:08:55 -0700

estark37 commented on this pull request.

 
+### Examples
+

Done

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/pull/327#discussion_r112085245

---

From: HTTP issue updates <[email-masked]>
Date: Tue, 18 Apr 2017 16:30:16 -0700

martinthomson approved this pull request.

 
+### Examples
+
+The following examples demonstrate valid Expect-CT response header fields:
+
+~~~ inline
+Expect-CT: max-age=86400,enforce
+Expect-CT: max-age=86400, enforce, report-uri="https://foo.test/report"
+Expect-CT: max-age=86400,report-uri="https://foo.test/report"

I would put a blank line between each example, lest this be confused for a single header block.

Also, use foo.example, not foo.test.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/pull/327#pullrequestreview-33376029

---

From: HTTP issue updates <[email-masked]>
Date: Tue, 18 Apr 2017 16:32:51 -0700

24c59fa  Add blank lines, use foo.example

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/httpwg/http-extensions/pull/327/files/9b6bc1b749c2f022ef6e8347b1c7c3bc5883487a..24c59fa033ad57a9cedbbd3ad823c8e12cc64450

---

From: HTTP issue updates <[email-masked]>
Date: Tue, 18 Apr 2017 16:32:56 -0700

+### Examples
+

Done and done

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/pull/327#discussion_r112088139

---

From: HTTP issue updates <[email-masked]>
Date: Wed, 19 Apr 2017 12:51:26 -0700

Merged #327.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/pull/327#event-1049257904